# Mosaic Stats

This project contains scripts for generating statistics from FITS files for astrophotography projects. The scripts can generate overall statistics, detailed panel statistics, and session statistics.

## Features

-   **Overall Statistics**: Generate overall exposure statistics across multiple panels and sessions.
-   **Detailed Panel Statistics**: Generate detailed statistics for each panel, including session details.
-   **Session Statistics**: Generate statistics per session, optionally filtered by panel.

## Requirements

-   Python 3.6+
-   Astropy library for reading FITS files

## Installation

You can install the package via pip:

```bash
pip install mosaic-stats
```

## Usage

You can run the statistics generator and follow the prompts in the application.

```bash
mosaic-stats [dir_for_lights]
```
